From eacecf02a569696f2cc1544a8577eb4ad9b015e6 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Thu, 4 Jun 2009 11:24:20 +0200
Subject: [PATCH] Include support for EABI for ARM builds.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 ruby.spec |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/ruby.spec b/ruby.spec
index c0e342f..72cb391 100644
--- a/ruby.spec
+++ b/ruby.spec
@@ -16,7 +16,7 @@
 
 Name:		ruby
 Version:	%{rubyver}%{?dotpatchlevel}
-Release:	1%{?dist}
+Release:	1%{?dist}.fa1
 License:	Ruby or GPLv2
 URL:		http://www.ruby-lang.org/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -405,8 +405,12 @@ rm -rf $RPM_BUILD_ROOT
 %dir %{_prefix}/lib/ruby
 %dir %{_prefix}/lib/ruby/%{rubyxver}
 %ifnarch ppc64 s390x sparc64 x86_64
+%if "%{_gnu}" == "-gnueabi"
+%dir %{_prefix}/lib/ruby/%{rubyxver}/%{_normalized_cpu}-%{_target_os}-eabi
+%else
 %dir %{_prefix}/lib/ruby/%{rubyxver}/%{_normalized_cpu}-%{_target_os}
 %endif
+%endif
 %ifarch ppc64 s390x sparc64 x86_64
 %dir %{_libdir}/ruby
 %dir %{_libdir}/ruby/%{rubyxver}
@@ -531,6 +535,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_emacs_sitestartdir}/ruby-mode-init.el
 
 %changelog
+* Thu Jun 4 2009 Kedar Sovani <kedasr@marvell.com> - 1.8.6.368-1.fa1
+- Include support for eabi
+
 * Sun May 31 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.8.6.368-1
 - New upstream release (p368)
 
-- 
1.5.5.6

